<%
'------------------------------------------------------------------------------------------
'Leggo file di lingua
Set FileLanguage = CreateObject("Microsoft.XMLDOM")
FileLanguage.async = False
FileLanguage.load Server.MapPath("Config/lang.xml")
item1 = FileLanguage.getElementsByTagName("content/page_title10")(0).Text
item2 = FileLanguage.getElementsByTagName("content/button_main")(0).Text
item3 = FileLanguage.getElementsByTagName("content/button_zone")(0).Text
item4 = FileLanguage.getElementsByTagName("content/button_reset")(0).Text

for i=176 to 254
    item1 = replace(item1,chr(i),"&#" & i)
    item2 = replace(item2,chr(i),"&#" & i)
    item3 = replace(item3,chr(i),"&#" & i)
    item4 = replace(item4,chr(i),"&#" & i)
next

'------------------------------------------------------------------------------------------
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=1;" />
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type" />
    <title><%=item1%></title>
    <style type="text/css">@import url("script/globalstyle.css");</style>

    <script type="text/javascript" src="..\\script\cookies.js"></script>
    <script type="text/javascript" src="..\\script\allarm.js"></script>
</head>

<body leftmargin="2" bottommargin="2" topmargin="2" scroll="no">
    <img src="Images/logo_top.png" style="width: 306px; height: 77px; margin-left:5px; margin-bottom:3px"/><br />
    <div style="width: 290px; margin-left:5px" id="menu_s" align="center">
        <table style="margin-left:-5px">
            <tr><td><div id="pageselectormenu"></div></td></tr>
            <tr><td align="center"><span class="pagetitle"><%=item1%></span></td></tr>
        </table>
    </div>
<%
    
dim retry
dim retrytime

on error resume next

Set objXmlDom = CreateObject("Microsoft.XMLDOM")
objXmlDom.async = False

retry=1
retrytime=0
while retry=1
    objXmlDom.load Server.MapPath("Data/allarm.xml")
    Set elements = objXmlDom.getElementsByTagName("content/allarm/name")
    if elements.length>0 then
        retry=0
    else
        retrytime=retrytime+1
        if retrytime>=10 then
            retry=0
        end if
    end If
wend

'------------------------------------------------------------------------------------------
'Apro anche i file delle pagine per gestire i permessi
Set objXmlDom2 = CreateObject("Microsoft.XMLDOM")
objXmlDom2.async = False
filename = "Config/" & request.cookies("userinfo") 
objXmlDom2.load Server.MapPath(filename)
Set elements2 = objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room")
'------------------------------------------------------------------------------------------

For i = 0 To elements.length - 1

    a=i+1
    c=a
    str1 = "Name"&a                     'Definisce nome per casella nome Sequenza
    str4 = "ONOFFImage"&a               'Definisce nome per immagine stato
    str5 = "ONText"&a                   'Definisce nome per oggetti ON
    str6 = "ONZoneText"&a               'Definisce nome per oggetti OFF
    str7 = "ONOFFZoneImage"&a           'Definisce nome per immagine stato

    'Read name of roorm and name of light
    val1 = objXmlDom.getElementsByTagName("content/allarm/room")(i).Text
    val2 = objXmlDom.getElementsByTagName("content/allarm/name")(i).Text
    val3 = objXmlDom.getElementsByTagName("content/allarm/zonearmour")(i).Text
    fxid = objXmlDom.getElementsByTagName("content/allarm/fxid")(i).Text
    valP = objXmlDom.getElementsByTagName("content/allarm/permid")(i).Text


'------------------------------------------------------------------------------------------
    readonly = 0
    show = 0
    
    'Controllo la room nel file dei permessi per l'utente
    For x = 0 To elements2.length - 1
        If objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room/perm")(x).Text = valP Then
            val4 = objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room/access")(x).Text
            Select Case val4
                Case "R":
                    readonly = 1
                    show = 1
                Case "N":
                    readonly = 1
                    show = 0
                Case "RW":
                    readonly = 0
                    show = 1
            End Select
        End If
    Next
'------------------------------------------------------------------------------------------

	'Clear unused object
	objXmlDom=Nothing
	objXmlDom2=Nothing
	FileLanguage=Nothing
	elements2=Nothing
    
	If show = 1 Then


        If val3<>"smoke" And val3<>"water" Then
            If readonly = 1 Then
                %>
                    <div class="standardboxNoImage">
                        <p class="StandardDivision">
                            <span id="Span3"><%=val2%></span>
                        </p>
                    </div>
                    <table style="width: 310px; padding-left:0px; margin-bottom:5px; margin-top:-1px; margin-left:2px;" >
                        <tr>
                        <td style="cursor:pointer; font-family:Arial,Courier,monospace; font-size:15px; font-weight:bold">
                        <div class="standardboxsmallSXRO" >
                            <img class="StatusImage" id="<%=str4%>" src="Images/intrusion-off.png"/>
                            <span id="<%=str5%>"><%=item2%></span>
                        </div>
                        </td>
                        <td style="cursor:pointer; font-family:Arial,Courier,monospace; font-size:15px; font-weight:bold">
                        <div class="standardboxsmallDXRO">
                            <img class="StatusImage" id="<%=str7%>" src="Images/zonealarmoff.png"/>
                            <span id="<%=str6%>"><%=item3%></span>
                        </div>
                        </td>
                        </tr>
                    </table>
                <%Else%>
                    <div class="standardboxNoImage">
                        <p class="StandardDivision">
                            <span id="name"><%=val2%></span>
                        </p>
                    </div>
                    <table style="width: 310px; padding-left:0px; margin-bottom:5px; margin-top:-1px; margin-left:2px;" >
                        <tr>
                        <td onclick="SetAll('<%=fxid%>' , 'ON' , '<%=str5%>','<%=str4%>')" style="cursor:pointer; font-family:Arial,Courier,monospace; font-size:15px; font-weight:bold">
                        <div class="standardboxsmallSX" >
                            <img id="<%=str4%>" class="StatusImage" src="Images/intrusion-off.png"/>
                            <span id="<%=str5%>"><%=item2%></span>
                        </div>
                        </td>
                        <td onclick="SetAll('<%=fxid%>', 'ZONEON' , '<%=str6%>','<%=str7%>')" style="cursor:pointer; font-family:Arial,Courier,monospace; font-size:15px; font-weight:bold">
                        <div class="standardboxsmallDX">
                            <img id="<%=str7%>" class="StatusImage" src="Images/zonealarmoff.png"/>
                            <span id="<%=str6%>"><%=item3%></span>
                        </div>
                        </td>
                        </tr>
                    </table>
                <%
            End If
        End If
        
        If val3="smoke" Then
            If readonly Then
                %>
                    <div class="standardboxNoImage">
                        <p class="StandardDivision">
                            <span id="Span1"><%=val2%></span>
                        </p>
                    </div>
                    <table style="width: 310px; padding-left:0px; margin-bottom:5px; margin-top:-1px; margin-left:2px;" >
                        <tr>
                        <td style="cursor:pointer; font-family:Arial,Courier,monospace; font-size:15px; font-weight:bold">
                        <div class="standardboxlargeRO" >
                            <img class="StatusImage" id="<%=str4%>" src="Images/FIRENOALL.png"/>
                            <span id="<%=str5%>"><%=item4%></span>
                        </div>
                        </td>
                        </tr>
                    </table>
                <%
            Else
                %>
                    <div class="standardboxNoImage">
                        <p class="StandardDivision">
                            <span id="Span7"><%=val2%></span>
                        </p>
                    </div>
                    <table style="width: 310px; padding-left:0px; margin-bottom:5px; margin-top:-1px; margin-left:2px;" >
                        <tr>
                        <td onclick="SetAll('<%=fxid%>' , 'ON' , '<%=str5%>','<%=str4%>')" style="cursor:pointer; font-family:Arial,Courier,monospace; font-size:15px; font-weight:bold">
                        <div class="standardboxlarge" >
                            <img class="StatusImage" id="<%=str4%>" src="Images/FIRENOALL.png"/>
                            <span id="<%=str5%>"><%=item4%></span>
                        </div>
                        </td>
                        </tr>
                    </table>
                <%
            End If
        End If

        If val3="water" Then
            If readonly Then
                %>
                    <div class="standardboxNoImage">
                        <p class="StandardDivision">
                            <span id="Span2"><%=val2%></span>
                        </p>
                    </div>
                    <table style="width: 310px; padding-left:0px; margin-bottom:5px; margin-top:-1px; margin-left:2px;" >
                        <tr>
                        <td style="cursor:pointer; font-family:Arial,Courier,monospace; font-size:15px; font-weight:bold">
                        <div class="standardboxlargeRO" >
                            <img class="StatusImage" id="<%=str4%>" src="Images/wateralarm-off.png"/>
                            <span id="<%=str5%>"><%=item4%></span>
                        </div>
                        </td>
                        </tr>
                    </table>
                <%
            Else
                %>
                    <div class="standardboxNoImage">
                        <p class="StandardDivision">
                            <span id="Span9"><%=val2%></span>
                        </p>
                    </div>
                    <table style="width: 310px; padding-left:0px; margin-bottom:5px; margin-top:-1px; margin-left:2px;" >
                        <tr>
                        <td onclick="SetAll('<%=fxid%>' , 'ON' , '<%=str5%>','<%=str4%>')" style="cursor:pointer; font-family:Arial,Courier,monospace; font-size:15px; font-weight:bold">
                        <div class="standardboxlarge" >
                            <img class="StatusImage" id="<%=str4%>" src="Images/wateralarm-off.png"/>
                            <span id="<%=str5%>"><%=item4%></span>
                        </div>
                        </td>
                        </tr>
                    </table>
                <%
            End If

        End If
    End If    
Next
    %>
</body>
<p></p>
</html>
