<%
'------------------------------------------------------------------------------------------
'Leggo file di lingua
Set FileLanguage = CreateObject("Microsoft.XMLDOM")
FileLanguage.async = False
FileLanguage.load Server.MapPath("Config/lang.xml")
item1 = FileLanguage.getElementsByTagName("content/page_title8")(0).Text
item3 = FileLanguage.getElementsByTagName("content/button_start")(0).Text
item4 = FileLanguage.getElementsByTagName("content/button_stop")(0).Text
for i=176 to 254
    item1 = replace(item1,chr(i),"&#" & i)
    item2 = replace(item2,chr(i),"&#" & i)
    item3 = replace(item3,chr(i),"&#" & i)
    item4 = replace(item4,chr(i),"&#" & i)
next

'------------------------------------------------------------------------------------------
%><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=1;" />
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type" />
    <title><%=item1%></title>
    <style type="text/css">@import url("script/globalstyle.css");</style>
    <script type="text/javascript" src="..\\script\cookies.js"></script>
    <script type="text/javascript" src="..\\script\timers.js"></script>
</head>

<body leftmargin="2" bottommargin="2" topmargin="2" scroll="no">
    <img src="Images/logo_top.png" style="width: 306px; height: 77px; margin-left:5px; margin-bottom:3px"/><br />
    <div style="width: 290px; margin-left:5px" id="menu_s" align="center">
        <table style="margin-left:-5px">
            <tr>
                <td>
                    <div id="pageselectormenu"></div>
                </td>
            </tr>
            <tr>
                <td align="center">
                    <span class="pagetitle"><%=item1%></span></td>
            </tr>
        </table>
    </div>
<%
    
dim retry
dim retrytime

on error resume next

Set objXmlDom = CreateObject("Microsoft.XMLDOM")
objXmlDom.async = False

retry=1
retrytime=0
while retry=1
    objXmlDom.load Server.MapPath("Data/timers.xml")
    Set elements = objXmlDom.getElementsByTagName("content/timers/name")
    if elements.length>0 then
        retry=0
    else
        retrytime=retrytime+1
        if retrytime>=10 then
            retry=0
        end if
    end If
wend

'------------------------------------------------------------------------------------------
'Apro anche i file delle pagine per gestire i permessi
Set objXmlDom2 = CreateObject("Microsoft.XMLDOM")
objXmlDom2.async = False
filename = "Config/" & request.cookies("userinfo") 
objXmlDom2.load Server.MapPath(filename)
Set elements2 = objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room")
'------------------------------------------------------------------------------------------

For i = 0 To elements.length - 1


    a=i+1
    c=a
    str1 = "Name"&a             'Definisce nome per casella nome Timers
    str4 = "ONOFFImageTim"&a       'Definisce nome per immagine stato
    str5 = "STARTButtonTim"&a      'Definisce nome per oggetti start
    str6 = "STOPButtonTim"&a       'Definisce nome per oggetti stop

    'Read name of roorm and name of light
    val1 = objXmlDom.getElementsByTagName("content/timers/room")(i).Text
    val2 = objXmlDom.getElementsByTagName("content/timers/name")(i).Text
    val3 = objXmlDom.getElementsByTagName("content/timers/room")(i).Text
    fxid = objXmlDom.getElementsByTagName("content/timers/fxid")(i).Text
    valP = objXmlDom.getElementsByTagName("content/timers/permid")(i).Text

'------------------------------------------------------------------------------------------
    readonly = 0
    show = 0
    
    'Controllo la room nel file dei permessi per l'utente
    For x = 0 To elements2.length - 1
        If objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room/perm")(x).Text = valP Then
            val4 = objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room/access")(x).Text
            Select Case val4
                Case "R":
                    readonly = 1
                    show = 1
                Case "N":
                    readonly = 1
                    show = 0
                Case "RW":
                    readonly = 0
                    show = 1
            End Select
        End If
    Next
'------------------------------------------------------------------------------------------

    If show = 1 Then 
        If readonly Then
            %>
                <div class="standardboxTimerRO" style="margin-bottom:0px">
                    <p class="StandardDivision">
                        <img class="StatusImage" id="<%=str4%>" src="Images/timeroff.png"/>
                        <span><%=val2%></span>
                    </p>
                </div>
                <table style="width: 310px; margin-left:3px; margin-bottom:7px" >
                    <tr>
                        <td  class="columnGreenRO">
                            <div id="<%=str5%>" style="width:auto"><%=item3%></div>
                        </td>
                        <td class="columnRedRO">
                            <div id="<%=str6%>" style="width:auto"><%=item4%></div>
                        </td>
                    </tr>
                </table>
            <%
        Else
            %>
                <div class="standardboxTimer" style="margin-bottom:0px" onclick="OpenTimersSetup()">
                    <p class="StandardDivision">
                        <img class="StatusImage" id="<%=str4%>" src="Images/timeroff.png"/>
                        <span><%=val2%></span>
                    </p>
                </div>
                <table style="width: 310px; margin-left:3px; margin-bottom:7px" >
                    <tr>
                        <td  class="columnGreen" onclick="SetTimer('<%=fxid%>','START','<%=str5%>','<%=str4%>')">
                            <div id="<%=str5%>" style="width:auto" ><%=item3%></div>
                        </td>
                        <td  class="columnRed" onclick="SetTimer('<%=fxid%>','STOP','<%=str6%>','<%=str4%>')">
                            <div id="<%=str6%>" style="width:auto" ><%=item4%></div>
                        </td>
                    </tr>
                </table>
            <%
        End If
    End If

Next
	'Free memory
	set FileLanguage = Nothing
	set objXmlDom = Nothing
	set elements = Nothing
	set objXmlDom2 = Nothing
	set elements2 = Nothing

        %>
</body>
<p></p>
</html>
