<%
'------------------------------------------------------------------------------------------
'Leggo file di lingua
Set FileLanguage = CreateObject("Microsoft.XMLDOM")
FileLanguage.async = False
FileLanguage.load Server.MapPath("Config/lang.xml")
item1 = FileLanguage.getElementsByTagName("content/page_title12")(0).Text
item2 = FileLanguage.getElementsByTagName("content/button_back")(0).Text
item3 = FileLanguage.getElementsByTagName("content/item_on")(0).Text
item4 = FileLanguage.getElementsByTagName("content/item_off")(0).Text
item5 = FileLanguage.getElementsByTagName("content/button_ok")(0).Text
item6 = FileLanguage.getElementsByTagName("content/button_cancel")(0).Text
for i=176 to 254
    item1 = replace(item1,chr(i),"&#" & i)
    item2 = replace(item2,chr(i),"&#" & i)
    item3 = replace(item3,chr(i),"&#" & i)
    item4 = replace(item4,chr(i),"&#" & i)
    item5 = replace(item5,chr(i),"&#" & i)
    item6 = replace(item6,chr(i),"&#" & i)
next

'------------------------------------------------------------------------------------------
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta id="viewport" name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type" />
    <meta http-equiv="expires" content="0" />
    <meta http-equiv="cache-control" content="no-cache" />
    <meta http-equiv="pragma" content="no-cache" />
    <title><%=item1%></title>
    <style type="text/css">@import url("script/globalstyle.css");</style>
    <style type="text/css">@import url("script/setstyle.css");</style>
    <style type="text/css">
                        
        .provatabella
        {
            width: 300px;
            height: 77px;
            margin-left: 5px;
            margin-bottom: 7px;
            margin-top: 1px;
        }
        #Text1
        {
            width: 75px;
            height: 21px;
            text-align: right;
        }
        #Text2
        {
            width: 75px;
            height: 21px;
            text-align: right;
        }
        #Text3
        {
            width: 75px;
            text-align: right;
            height: 21px;
        }
        #Text4
        {
            width: 75px;
            text-align: right;
            height: 21px;
        }
                
        .style73
        {
        	height:25px;
            width: 60px;
            text-align: center;
        }
                
        .style76
        {
            width: 100px;
        }
                
                
        .style77
        {
            width: 140px;
        }
                
                
        #Button6
        {
            width: 99px;
        }
                
                
        </style>

    <script type="text/javascript" src="..\\script\cookies.js"></script>
    <script type="text/javascript" src="..\\script\temperaturesensorsetup.js"></script>

</head>

<body leftmargin="2" bottommargin="2" topmargin="2" scroll="no">
    <img src="Images/logo_top.png" style="width: 306px; height: 77px; margin-left:5px; margin-bottom:3px"/><br />
    <div style="width: 290px; margin-left:5px" id="menu_s" align="center">
        <span class="pagetitle"><%=item1%></span>
    </div>

<%
dim retry
dim retrytime
on error resume next
Set objXmlDom = CreateObject("Microsoft.XMLDOM")
objXmlDom.async = False

retry=1
retrytime=0
while retry=1
    objXmlDom.load Server.MapPath("Data/temperature.xml")
    Set elements = objXmlDom.getElementsByTagName("content/temperature/name")
    if elements.length>0 then
        retry=0
    else
        retrytime=retrytime+1
        if retrytime>=30 then
            retry=0
        end if
    end If
wend

dim i
response.buffer = True

'------------------------------------------------------------------------------------------
'Apro anche i file delle pagine per gestire i permessi
Set objXmlDom2 = CreateObject("Microsoft.XMLDOM")
objXmlDom2.async = False
filename = "Config/" & request.cookies("userinfo") 
objXmlDom2.load Server.MapPath(filename)
Set elements2 = objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room")
'------------------------------------------------------------------------------------------

For i = 0 To elements.length - 1
    a=i+1
    c=a
    if len(a)=1 then
        c="0" & a
    end if
    str0 = "RefRoom"&a      'Definisce nome per casella riferimento stanza
    str1 = "Name"&a         'Definisce nome per casella nome pir
    str2 = "Lux"&a          'Defnisce nome per casella valore pir

    str1 = "onLevel" & a
    str2 = "offLevel" & a
    str7 = "ButtonChange" & a
    str8 = "ButtonOK" & a

    'Read name of roorm and name of pir object
    name = objXmlDom.getElementsByTagName("content/temperature/name")(i).Text
    val1 = objXmlDom.getElementsByTagName("content/temperature/onvalue")(i).Text
    val2 = objXmlDom.getElementsByTagName("content/temperature/offvalue")(i).Text
    val3 = objXmlDom.getElementsByTagName("content/temperature/room")(i).Text
    valP = objXmlDom.getElementsByTagName("content/temperature/permid")(i).Text
    fxid = objXmlDom.getElementsByTagName("content/temperature/fxid")(i).Text

'------------------------------------------------------------------------------------------
    readonly = 0
    show = 0
    
    'Controllo la room nel file dei permessi per l'utente
    For x = 0 To elements2.length - 1
        If objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room/perm")(x).Text = valP Then
            val4 = objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room/access")(x).Text
            Select Case val4
                Case "R":
                    readonly = 1
                    show = 1
                Case "N":
                    readonly = 1
                    show = 0
                Case "RW":
                    readonly = 0
                    show = 1
            End Select
        End If
    Next
'------------------------------------------------------------------------------------------

    If show Then
        %>

        <div class="standardboxNoImage" style="margin-bottom:0px">
            <p class="StandardDivision">
                <span id="name"><%=name%></span>
            </p>
        </div>

        <table style="width: 306px" class="provatabella" border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td class="SETControlCell">
                
                <table border="0" cellpadding="3" cellspacing="0">
                    <tr class="SetRowH">
                        <td class="style73"><%=item3%></td>
                        <td class="style77"><input class="SETText" id="<%=str1%>" type="text" readonly="readonly" value="<%=val1%>" onclick="SetFocusOnObject('<%=fxid%>','<%=str1%>','<%=str1%>','<%=str2%>','<%=str7%>','<%=str8%>')" /></td>
                        <%If readonly=0 Then%>
                        <td class="style76">
                        <input class="SETButton" id="Button1" type="button" value="+" onclick="ValueUp('<%=fxid%>','<%=str1%>','<%=str2%>')"/></td>
                        <%End If%>
                    </tr>
                    <tr class="SetRowL">
                        <td class="style73"><%=item4%></td>
                        <td class="style77"><input class="SETText" id="<%=str2%>" type="text" readonly="readonly" value="<%=val2%>"  onclick="SetFocusOnObject('<%=fxid%>','<%=str1%>','<%=str2%>','<%=str1%>','<%=str7%>','<%=str8%>')" /></td>
                        <%If readonly=0 Then%>
                         <td class="style76">
                        <input class="SETButton" id="Button5" type="button" value="-" onclick="ValueDown('<%=fxid%>','<%=str1%>','<%=str2%>')"/></td>
                        <%End If%>
                    </tr>
                        <%If readonly=0 Then%>
                    <tr>
                        <td style="text-align: right">&nbsp;</td>
                        <td style="text-align: center" class="style77">
                        <input id="<%=str7%>" type="button" style="visibility:hidden" class="SETButtonCA" value="<%=item6%>" onclick="CancelChange('<%=str1%>','<%=str2%>','<%=str7%>','<%=str8%>')"/></td>
                        <td style="text-align: center">
                        <input class="SETButton" id="<%=str8%>" style="visibility:hidden" type="button" value="<%=item5%>" onclick="SetTempSensorLimit('<%=fxid%>','<%=str1%>','<%=str2%>','<%=str7%>','<%=str8%>')"/></td>
                    </tr>
                        <%Else%>
                    <tr>
                        <td style="text-align: right">&nbsp;</td>
                        <td style="text-align: right" class="style77">&nbsp;</td>
                        <td style="text-align: right">&nbsp;</td>
                    </tr>
                        <%End If%>
                </table>
                
                </td>
            </tr>
        </table>
            
<%
    End If
Next

	'Free memory
	set ParseErr = Nothing
	set xmlDoc = Nothing
	set FileLanguage = Nothing
	set objXmlDom = Nothing
	set elements = Nothing
	set objXmlDom2 = Nothing
	set elements2 = Nothing

%>
            <div align="left"><input type="button" onclick="ExitFromPage()" value="<%=item2%>" style=" margin-left:65px; width: 182px; height: 37px; text-align: center; font-size: medium;" /></div>
</body>
<p></p>
</html>