<%
'------------------------------------------------------------------------------------------
'Leggo file di lingua
Set FileLanguage = CreateObject("Microsoft.XMLDOM")
FileLanguage.async = False
FileLanguage.load Server.MapPath("Config/lang.xml")
item1 = FileLanguage.getElementsByTagName("content/page_title2")(0).Text
item2 = FileLanguage.getElementsByTagName("content/separator_lux")(0).Text
item3 = FileLanguage.getElementsByTagName("content/separator_exttemp")(0).Text
item4 = FileLanguage.getElementsByTagName("content/separator_wind")(0).Text

for i=176 to 254
    item1 = replace(item1,chr(i),"&#" & i)
    item2 = replace(item2,chr(i),"&#" & i)
    item3 = replace(item3,chr(i),"&#" & i)
    item4 = replace(item4,chr(i),"&#" & i)
next

'------------------------------------------------------------------------------------------
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="no">
<head>
    <meta id="viewport" name="viewport" content="width=device-width; initial-scale=1.0; maximum-scale=1.0; user-scalable=0;" />
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type" />
    <meta http-equiv="expires" content="0" />
    <meta http-equiv="cache-control" content="no-cache" />
    <meta http-equiv="pragma" content="no-cache" />
    <title><%=item1%></title>
    <style type="text/css">@import url("script/globalstyle.css");</style>

    <script type="text/javascript" src="..\\script\cookies.js"></script>
    <script type="text/javascript" src="..\\script\weathersensor.js"></script>
</head>
<body leftmargin="2" bottommargin="2" topmargin="2" scroll="no">
    <img src="Images/logo_top.png" style="width: 306px; height: 77px; margin-left:5px; margin-bottom:3px"/><br />
    <div style="width: 290px; margin-left:5px" id="menu_s" align="center">
        <table style="margin-left:-5px">
            <tr><td><div id="pageselectormenu"></div></td></tr>
            <tr><td align="center"><span class="pagetitle"><%=item1%></span></td></tr>
        </table>
    </div>
<%

Dim objXmlDom
Dim classname
Dim first

on error resume next
response.buffer=true

'------------------------------------------------------------------------------------------
'Apro anche i file delle pagine per gestire i permessi
Set objXmlDom2 = CreateObject("Microsoft.XMLDOM")
objXmlDom2.async = False
filename = "Config/" & request.cookies("userinfo") 
objXmlDom2.load Server.MapPath(filename)
Set elements2 = objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room")
'------------------------------------------------------------------------------------------



'************************************************************************************************************
'Interpretazione del file dei sensori di luminosità

Set objXmlDom = CreateObject("Microsoft.XMLDOM")
objXmlDom.async = False

first = 0    
retry = 1
retrytime=0
while retry=1
    objXmlDom.load Server.MapPath("Data/lightpir.xml")
    Set elements = objXmlDom.getElementsByTagName("content/lightpir/name")
    if elements.length>0 then
        retry=0
    else
        retrytime=retrytime+1
        if retrytime>=30 then
            retry=0
        end if
    end If
wend


dim i
response.buffer = True

If elements.length>0 Then

    For i = 0 To elements.length - 1
        a=i+1
        c=a
        if len(a)=1 then
            c="0" & a
        end if
        str0 = "RefRoom"&a     'Definisce nome per casella riferimento stanza
        str1 = "Name"&a        'Definisce nome per casella nome pir
        str2 = "Sens"&a        'Defnisce nome per casella valore pir

        'Read name of roorm and name of pir object
        val2 = objXmlDom.getElementsByTagName("content/lightpir/name")(i).Text        
        val3 = objXmlDom.getElementsByTagName("content/lightpir/room")(i).Text        
        valP = objXmlDom.getElementsByTagName("content/lightpir/permid")(i).Text
        classname = "standardbox"

'------------------------------------------------------------------------------------------
    readonly = 0
    show = 0
    
    'Controllo la room nel file dei permessi per l'utente
    For x = 0 To elements2.length - 1
        If objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room/perm")(x).Text = valP Then
            val4 = objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room/access")(x).Text
            Select Case val4
                Case "R":
                    readonly = 1
                    show = 1
                Case "N":
                    readonly = 1
                    show = 0
                Case "RW":
                    readonly = 0
                    show = 1
            End Select
        End If
    Next
'------------------------------------------------------------------------------------------

        If show = 1 Then
        
            If first = 0 Then
                first = 1
                %>
                <div>
                <table class="SectionSeparator">
                <tr><td><%=item2%></td></tr>
                </table>
                </div>
                <%
                
            End If
        
        
            If readonly Then
                %>
                    <div style="width: 298px" class="standardboxRO">
                        <table border="0">
                            <tr>
                                <td class="roomname">
                                    <span id="<%=str1%>"><%=val2%></span>
                                </td>
                                <td class="datavalue">
                                    <span id="<%=str2%>" name="<%=str2%>" class="dataValuesNormal"></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                <%
            Else
                %>
                    <div style="width: 298px" class="<%=classname%>" onclick="OpenSensorSettingsWeather();">
                        <table border="0">
                            <tr>
                                <td class="roomname">
                                    <span id="<%=str1%>"><%=val2%></span>
                                </td>
                                <td class="datavalue">
                                    <span id="<%=str2%>" name="<%=str2%>" class="dataValuesNormal"></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                <%
            End If
        End If
    Next
End If

'************************************************************************************************************
'Interpretazione del file delle temperature esterne
Set objXmlDom = CreateObject("Microsoft.XMLDOM")
objXmlDom.async = False

first=0
retry=1
retrytime=0
while retry=1
    objXmlDom.load Server.MapPath("Data/temperature.xml")
    Set elements = objXmlDom.getElementsByTagName("content/temperature/name")
    if elements.length>0 then
        retry=0
    else
        retrytime=retrytime+1
        if retrytime>=30 then
            retry=0
        end if
    end If
wend

response.buffer = True

Dim LastOutdoor

If elements.length>0 Then

    For i = 0 To elements.length - 1

        'Read name of roorm and name of pir object
        val2 = objXmlDom.getElementsByTagName("content/temperature/name")(i).Text
        val3 = objXmlDom.getElementsByTagName("content/temperature/type")(i).Text
        val4 = objXmlDom.getElementsByTagName("content/temperature/room")(i).Text
        valP = objXmlDom.getElementsByTagName("content/temperature/permid")(i).Text
        

        classname = "standardbox"
        
        If val3="outdoor" Then
            
            a=a+1
            str1 = "Name"&a        'Definisce nome per casella nome pir
            str2 = "Sens"&a           'Defnisce nome per casella valore pir

'------------------------------------------------------------------------------------------
    readonly = 0
    show = 0
    
    'Controllo la room nel file dei permessi per l'utente
    For x = 0 To elements2.length - 1
        If objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room/perm")(x).Text = valP Then
            val4 = objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room/access")(x).Text
            Select Case val4
                Case "R":
                    readonly = 1
                    show = 1
                Case "N":
                    readonly = 1
                    show = 0
                Case "RW":
                    readonly = 0
                    show = 1
            End Select
        End If
    Next
'------------------------------------------------------------------------------------------

        If show = 1 Then

            If first = 0 Then
                first = 1
                %>
                <div>
                <table class="SectionSeparator">
                <tr><td><%=item3%></td></tr>
                </table>
                </div>
                <%
            End If

        
            If readonly Then
                %>
                    <div style="width: 298px" class="standardboxRO">
                        <table border="0">
                            <tr>
                                <td class="roomname">
                                    <span id="<%=str1%>"><%=val2%></span>
                                </td>
                                <td class="datavalue">
                                    <span id="<%=str2%>" name="<%=str2%>" class="dataValuesNormal"></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                <%
            Else
                %>
                    <div style="width: 298px" class="<%=classname%>"  onclick="OpenSensorSettingsFromWeather();">
                        <table border="0">
                            <tr>
                                <td class="roomname">
                                    <span id="<%=str1%>"><%=val2%></span>
                                </td>
                                <td class="datavalue">
                                    <span id="<%=str2%>" name="<%=str2%>" class="dataValuesNormal"></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                <%
            End If
        End If
        
        End If
    Next
End If

'************************************************************************************************************
'Interpretazione del file dei sensori di temperatura
Set objXmlDom = CreateObject("Microsoft.XMLDOM")
objXmlDom.async = False

first=0
retry=1
retrytime=0
while retry=1
    objXmlDom.load Server.MapPath("Data/windspeed.xml")
    Set elements = objXmlDom.getElementsByTagName("content/windspeed/name")
    if elements.length>0 then
        retry=0
    else
        retrytime=retrytime+1
        if retrytime>=30 then
            retry=0
        end if
    end If
wend

response.buffer = True


If elements.length>0 Then

    For i = 0 To elements.length - 1

        'Read name of roorm and name of pir object
        val2 = objXmlDom.getElementsByTagName("content/windspeed/name")(i).Text
        val4 = objXmlDom.getElementsByTagName("content/windspeed/room")(i).Text
        valP = objXmlDom.getElementsByTagName("content/windspeed/permid")(i).Text

        classname = "standardbox"

        a=a+1
        str1 = "Name"&a           'Definisce nome per casella nome sensore
        str2 = "Sens"&a           'Defnisce nome per casella valore sensore

'------------------------------------------------------------------------------------------
        readonly = 0
        show = 0
        
        'Controllo la room nel file dei permessi per l'utente
        For x = 0 To elements2.length - 1
            If objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room/perm")(x).Text = valP Then
                val4 = objXmlDom2.getElementsByTagName("permissionList/user/roompermissions/room/access")(x).Text
                Select Case val4
                    Case "R":
                        readonly = 1
                        show = 1
                    Case "N":
                        readonly = 1
                        show = 0
                    Case "RW":
                        readonly = 0
                        show = 1
                End Select
            End If
        Next
'------------------------------------------------------------------------------------------

        If show = 1 Then
            If first = 0 Then
                first = 1
                %>
                <div>
                <table class="SectionSeparator">
                <tr><td><%=item4%></td></tr>
                </table>
                </div>
                <%
            End If

            If readonly Then
                %>
                    <div style="width: 298px" class="standardboxRO">
                        <table border="0">
                            <tr>
                                <td class="roomname">
                                    <span id="<%=str1%>"><%=val2%></span>
                                </td>
                                <td class="datavalue">
                                    <span id="<%=str2%>" name="<%=str2%>" class="dataValuesNormal"></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                <%
            Else
                %>
                    <div style="width: 298px" class="<%=classname%>"  onclick="OpenWindSettingsFromWeather();">
                        <table border="0">
                            <tr>
                                <td class="roomname">
                                    <span id="<%=str1%>"><%=val2%></span>
                                </td>
                                <td class="datavalue">
                                    <span id="<%=str2%>" name="<%=str2%>" class="dataValuesNormal"></span>
                                </td>
                            </tr>
                        </table>
                    </div>
                <%
            End If
        End If
    Next


End If

	'Free memory
	set ParseErr = Nothing
	set xmlDoc = Nothing
	set FileLanguage = Nothing
	set objXmlDom = Nothing
	set elements = Nothing
	set objXmlDom2 = Nothing
	set elements2 = Nothing

    %>    

    
</body>
<p></p>
</html>
